#
# spec file for package python-spikepy
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/

%define pyname  Spikepy
%define modname spikepy
Name:           python-%{modname}
Version:        0.82
Release:        4.1
License:        GPL-3.0
Summary:        A python-based spike sorting framework
Url:            http://code.google.com/p/spikepy/
Group:          Development/Languages/Python
Source:         http://%{modname}.googlecode.com/files/%{pyname}-%{version}.zip
BuildRequires:  python-devel
BuildRequires:  python-configobj 
BuildRequires:  python-matplotlib
BuildRequires:  python-numpy-devel
BuildRequires:  python-scipy
BuildRequires:  python-wxWidgets-devel
BuildRequires:  unzip
Requires:       python(abi) >= %{py_ver}
Requires:       python-configobj 
Requires:       python-matplotlib
Requires:       python-numpy
Requires:       python-scipy
Requires:       python-wxWidgets
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
Spikepy (pronounced 'spike pie') is a spike-sorting framework written
in the Python programming language. It is free and open-source 
software under the GPL v3 License.

%prep
%setup -q -n %{pyname}-%{version}

%build
CFLAGS="%{optflags}" python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}
# remove unneeded extension
rename '.py' ''  %{buildroot}%{_bindir}/*.py
# fix executability
chmod +x %{buildroot}%{python_sitelib}/%{modname}/builtins/methods/filtering_wavelets/wavelet.py

%files
%defattr(-,root,root,-)
%doc LICENSE README
%{_bindir}/spikepy_gui
%{_bindir}/spikepy_plugin_info
%{python_sitelib}/%{modname}/
%{python_sitelib}/%{pyname}-%{version}-py*.egg-info

%changelog
* Fri Oct 25 2013 toddrme2178@gmail.com
- fix build for openSUSE:Factory
* Tue Aug  7 2012 toddrme2178@gmail.com
- Initial version
